Ubuntu

no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)

Reported by gohai on 2009-01-19
364
This bug affects 42 people
Affects Status Importance Assigned to Milestone
Ubuntu Netbook Remix
Undecided
Unassigned
alsa-driver (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
linux (Ubuntu)
Medium
Colin King
Jaunty
Medium
Colin King

Bug Description

On current Ubuntu 9.04 Alpha I don't get any sound from my built-in laptop speakers - plugging in headphones does work though. I used Kubuntu 8.10 before - there the sound did work, also from the build-in speakers.

I tried to follow the steps for debugging sound issues in the Wiki, this didn't work out for me.

You find the output of the ALSA Information Script here:
http://www.alsa-project.org/db/?f=4eeebe19303da090dddd48a264ffd7558049b24a

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: linux-image-2.6.28-4-generic 2.6.28-4.11
ProcCmdLine: root=UUID=3b1dfb75-0bdf-482d-9cf2-69ccef54bf53 ro quiet
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-4.11-hostnameeneric
SourcePackage: linux

gohai (gottfried-haider) wrote :
gohai (gottfried-haider) wrote :

I managed to compile and install alsa-driver-1.0.19 from sources and sound is working for me now. (I did not update alsa-lib or alsa-utils, so I was not sure if this even has a chance of working out..)

The current output of the ALSA Information Script:
http://www.alsa-project.org/db/?f=33d727162af1551fc6ecb5aba93382ba67c9b3dd

(modules snd_hda_codec and snd_hda_codec_idt seem to have been added, and the resulting codec file in /proc has some differences)

I hope this ends up in a package anytime soon..

Tom Haddon (mthaddon) wrote :

I can confirm this bug on an HP Mini 1000 as well. Same symptoms (works fine from audio port, not from speakers)

Changed in linux (Ubuntu):
status: New → Confirmed
Tom Haddon (mthaddon) wrote :

I should say, I was testing with the UNR jaunty beta release.

Shaved Wookie (shavedwookie) wrote :

This isn't just a problem with UNR, there seems to be a lot of people on the forums having this with HP Mini's running standard Ubuntu. I'm getting this on an HP Mini 1010NR running Kubuntu Jaunty.

Alsa Project script info can be found at:
http://www.alsa-project.org/db/?f=e8288c5dd752a7077fd630edd0f28ec9eec90332

Given that ALSA 1.0.19 seemed to fix the problem for Gohai, and that Luke Yelavich's PPA has it, I suggest trying to add:
deb http://ppa.launchpad.net/themuso/ppa/ubuntu jaunty main

to your sources, updating, rebooting and seeing if that helps. Either way, let us know here along with your model so we can see who this works for.

Azrael (darren-hewett) wrote :

I have an hp mini 1001 and i tried adding that line to my sources and did a dist-upgrade. It installed a bunch of sound stuff but after a reboot I still have no sound.

Matt Zimmerman (mdz) on 2009-03-31
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
tags: added: regression-potential
Arnaud Soyez (weboide) wrote :

Same here with HP Mini 1000 (1120NR).

I added "options snd-hda-intel model=ref" to /etc/modprobe.d/alsa-base.conf but it does NOT help.

Here's my alsa info: http://www.alsa-project.org/db/?f=45c860d5a8a871bdce19775c7b8b4fac0978eaa8

I have lpia architecture and my card is:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

Last system update: Thu Apr 2 13:56:38 UTC 2009

Arnaud Soyez (weboide) wrote :

I forgot to mention that it's a fresh cli installation + ubuntu-desktop.

coCoKNIght (cocoknight) wrote :

Confirmed. HP Mini 1000. This issue's been there since I upgraded to Ubuntu Jaunty before christmas I think :-)
Speakers work fine on my Ubuntu 8.10 installation

Arnaud Soyez (weboide) wrote :

I confirm what cocoknight said. It worked fine in Ubuntu 8.10 using the 8.10 lpia alternate iso and then installing ubuntu-desktop (just needed to change some volumes in the mixers).

Here's what I tried so far, with NO SUCCESS:
- "options snd-hda-intel model=ref" to /etc/modprobe.d/alsa-base.conf
- using the ppa (given above) which updated libasound2, libasound2-plugins, libtotem-plparser12
- using module-assistant, compiling alsa-source. It just added more choices in the mixer (e.g. headphone, pcm, pc beep...) I tried put them all to 100% but still no sound (except for the loud pc beep but that may be independant).

We need to see what the regression comes from between intrepid and jaunty. Would it come from linux-image?

Steve Beattie (sbeattie) on 2009-04-03
Changed in linux (Ubuntu):
assignee: nobody → canonical-kernel-team
Mauricio Marambio (alt256) wrote :

I've fixed sound problem following these steps ( https://answers.launchpad.net/ubuntu/+question/64930 ):

cd ~
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.19.tar.bz2
wget ftp://ftp.alsa-project.org/pub/lib/alsa-lib-1.0.19.tar.bz2
wget ftp://ftp.alsa-project.org/pub/utils/alsa-utils-1.0.19.tar.bz2

tar xjf alsa-driver-1.0.19.tar.bz2
tar xjf alsa-lib-1.0.19.tar.bz2
tar xjf alsa-utils-1.0.19.tar.bz2

cd alsa-driver-1.0.19
./configure --with-cards=hda-intel --with-kernel=/usr/src/linux-headers-$(uname -r)
make
sudo make install
cd ..

cd alsa-lib-1.0.19
./configure
make
sudo make install
cd ..

cd alsa-utils-1.0.19
./configure
make
sudo make install

# Finally, edit file alsa-base.conf

sudo gedit /etc/modprobe.d/alsa-base.conf

# Add these lines:
options snd-pcsp index=-2
alias snd-card-0 snd-hda-intel
alias sound-slot-0 snd-hda-intel
options snd-hda-intel model=dell-m4-1
options snd-hda-intel enable_msi=1

Built-in speakers and headphones work. However, I didn't test mic.

Between some updates I need to do all process again (I don't know if there another procedure).

Arnaud Soyez (weboide) wrote :

I tried it too but it didn't work for me, I don't know why. Anyway I switched back to intrepid.
What's your laptop mauricio? 1120NR?

coCoKNIght (cocoknight) wrote :

Would be nice if you HP Mini guys could help me with this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/348959
It's about hibernate not working on the HP Mini. Thanks

Shaved Wookie (shavedwookie) wrote :

I tried recompiling the drivers as above but it didn't work for me on a HP 1010NR. I may have been missing a step not in those instructions though as install complained about not being able to install the compiled deb because of pre-existing files. I used dpkg --force-all to still install them, but still no sound.

Mauricio Marambio (alt256) wrote :

Mine is a 1020la, running UNR 9.04.

> lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

>uname -r
2.6.28-11-generic

>hwinfo --sound
20: PCI 1b.0: 0403 Audio device
  [Created at pci.314]
  UDI: /org/freedesktop/Hal/devices/pci_8086_27d8
  Unique ID: u1Nb.MjZApDJ7QzC
  SysFS ID: /devices/pci0000:00/0000:00:1b.0
  SysFS BusID: 0000:00:1b.0
  Hardware Class: sound
  Model: "Intel 82801G (ICH7 Family) High Definition Audio Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x27d8 "82801G (ICH7 Family) High Definition Audio Controller"
  SubVendor: pci 0x103c "Hewlett-Packard Company"
  SubDevice: pci 0x361a
  Revision: 0x02
  Driver: "HDA Intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xfe938000-0xfe93bfff (rw,non-prefetchable)
  IRQ: 2300 (398022 events)
  Module Alias: "pci:v00008086d000027D8sv0000103Csd0000361Abc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=new, avail=yes, need=no, active=unknown

I have all updates installed.

@Shaved Wookie: I'm not sure what it could be your problem, since i'm relatively new to ubuntu. Perhaps some packages are not installed.

Mauricio Marambio (alt256) wrote :

What I did before installed drivers was going to System>Preferences>Sound and change everything to ALSA. Also I've added my user to pulse group (System -> Administration -> Groups & Users -I think is that option in English, since I use ubuntu in spanish-). Then reboot.

Also, you should try another models in line "options snd-hda-intel model=dell-m4-1" in alsa.conf file if your sound card is different, as described here: https://answers.launchpad.net/ubuntu/+question/64930

Arnaud Soyez (weboide) wrote :

Yeah mine is a rev 01, seems like it is quite different... but I've read
on Opensuse forums that this bug might be fixed in Linux kernel version
2.6.29.

Shaved Wookie (shavedwookie) wrote :

Installed 2.6.29 on a vanilla, updated Jaunty and rebooted. No speaker sound so far. Will try the other usual suggestions (alsa-base.conf) and report back.

This is on a HP Mini 1010nr which reports an:
Intel Corporation 8281G (ICH7 Family) High Definition Audio Controller (rev 02)

Shaved Wookie (shavedwookie) wrote :

Hey maurico,

Did you actually *remove* any alsa / asound packages before compiling and installing alsa 1.0.19? I'm just wondering if I should have given the errors about pre-existing files...

Shaved Wookie (shavedwookie) wrote :

Good news! It's definitely narrowed down to the kernel version as after adding the lines above to my alsa-base.conf sound works (after a couple of reboots). This means that:

vanilla updated jaunty + 2.6.28 kernel = speaker sound doesn't work
vanilla updated jaunty + 2.6.29 kernel = speaker sound works

The only problem is that with 2.6.29 my wireless fails. :(

Arnaud Soyez (weboide) wrote :

Hey, good job! And you still have alsa 1.0.18 or is it 1.0.19?
For your wireless, this can also be from your new kernel as the modules are not compiled for 2.6.29.

Shaved Wookie (shavedwookie) wrote :

It's still running 1.0.18. I didn't do the whole compile 1.0.19 thing above.

Is there any way to get the broadcom wireless modules for 2.6.29?

Shaved Wookie (shavedwookie) wrote :

I was asked how I installed 2.6.29 to get my sound going. I just followed the pretty easy steps at:
http://www.ramoonus.nl/2009/03/24/linux-kernel-2629-installation-guide-for-ubuntu-and-debian-linux/

Just remember that anything that uses restricted-headers (eg Broadcom wireless) borks, and you're also on an unsupported kernel. You have been warned!

The *nice* thing is that, being a kernel, that you get the choice at boot up in GRUB whether you want to boot into this kernel or your currently installed one.

xapt (jeremy-iglehart) wrote :
Download full text (26.2 KiB)

I have a HP Mini 1030 (writing to your from this computer now :)

I had experienced sound problems in the beginning - I never knew if my headset worked or not before doing this... but after the following steps everything works for me EXCEPT the external mic. I'm not able to test the mic by way of the jack because I don't have the combo jack adapter thingy.

I only experienced one problem while compiling.

All of the following commands worked great!

[worked] cd ~
[worked] wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.19.tar.bz2
[worked] wget ftp://ftp.alsa-project.org/pub/lib/alsa-lib-1.0.19.tar.bz2
[worked] wget ftp://ftp.alsa-project.org/pub/utils/alsa-utils-1.0.19.tar.bz2

[worked] tar xjf alsa-driver-1.0.19.tar.bz2
[worked] tar xjf alsa-lib-1.0.19.tar.bz2
[worked] tar xjf alsa-utils-1.0.19.tar.bz2

[worked] cd alsa-driver-1.0.19
[worked] ./configure --with-cards=hda-intel --with-kernel=/usr/src/linux-headers-$(uname -r)
[worked] make
[worked] sudo make install
[worked] cd ..

[worked] cd alsa-lib-1.0.19
[worked] ./configure
[worked - had to install one or two things, I just did the sudo apt-get and installed the missing link on this one] make
[worked] sudo make install
[worked] cd ..

[worked] cd alsa-utils-1.0.19
[worked] ./configure
[failed] make
[failed] sudo make install

I'll paste my output below of this section of the compiling... perhaps this can help you... I don't know how to get around this problem as of yet.

filmer@hpFilmer:~$ cd alsa-utils-1.0.19/
filmer@hpFilmer:~/alsa-utils-1.0.19$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for cross-compiler... gcc
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking fo...

xapt (jeremy-iglehart) wrote :

sorry for such a long post - bottom line - EVERYTHING WORKS WITH MY SOUND - except the external mic... and the internal mic might work... I can't test that yet.

-filmer err... I guess I'm xapt on this site.

-xapt

coCoKNIght (cocoknight) wrote :
Download full text (4.7 KiB)

No sound at all anymore since I installed the following upgrades today:
Upgraded the following packages:
alsa-utils (1.0.18-1ubuntu10) to 1.0.18-1ubuntu11
apport (0.148) to 1.0-0ubuntu2
apport-gtk (0.148) to 1.0-0ubuntu2
apturl (0.3.2ubuntu2) to 0.3.3ubuntu1
command-not-found (0.2.34ubuntu1) to 0.2.34ubuntu2
command-not-found-data (0.2.34ubuntu1) to 0.2.34ubuntu2
ecryptfs-utils (73-0ubuntu4) to 73-0ubuntu6
evolution-indicator (0.1.11-0ubuntu1) to 0.1.12-0ubuntu1
f-spot (0.5.0.3-1ubuntu5) to 0.5.0.3-1ubuntu6
findutils (4.4.0-2ubuntu3) to 4.4.0-2ubuntu4
firefox (3.0.8+nobinonly-0ubuntu2) to 3.0.8+nobinonly-0ubuntu3
firefox-3.0 (3.0.8+nobinonly-0ubuntu2) to 3.0.8+nobinonly-0ubuntu3
firefox-3.0-branding (3.0.8+nobinonly-0ubuntu2) to 3.0.8+nobinonly-0ubuntu3
firefox-3.0-gnome-support (3.0.8+nobinonly-0ubuntu2) to 3.0.8+nobinonly-0ubuntu3
firefox-gnome-support (3.0.8+nobinonly-0ubuntu2) to 3.0.8+nobinonly-0ubuntu3
gedit (2.26.0-0ubuntu2) to 2.26.0-0ubuntu3
gedit-common (2.26.0-0ubuntu2) to 2.26.0-0ubuntu3
gnome-keyring (2.26.0-0ubuntu4) to 2.26.0-0ubuntu5
gnome-session (2.26.0-0ubuntu1) to 2.26.0svn20090408-0ubuntu1
gnome-settings-daemon (2.26.0-0ubuntu3) to 2.26.0-0ubuntu4
grub (0.97-29ubuntu51) to 0.97-29ubuntu52
hal-cups-utils (0.6.19+git20090217-0ubuntu6) to 0.6.19+git20090217-0ubuntu7
inkscape (0.46-5ubuntu1) to 0.46-5ubuntu3
jockey-common (0.5-0ubuntu8) to 0.5-0ubuntu10
jockey-gtk (0.5-0ubuntu8) to 0.5-0ubuntu10
libcolamd-3.2.0 (1:3.2.0-4ubuntu1) to 1:3.2.0-4ubuntu2
libdeskbar-tracker (0.6.92-1ubuntu1) to 0.6.92-1ubuntu2
libecryptfs0 (73-0ubuntu4) to 73-0ubuntu6
libgcr0 (2.26.0-0ubuntu4) to 2.26.0-0ubuntu5
libglib2.0-0 (2.20.0-1build1) to 2.20.0-1build2
libglib2.0-data (2.20.0-1build1) to 2.20.0-1build2
libglib2.0-dev (2.20.0-1build1) to 2.20.0-1build2
libgnome-keyring0 (2.26.0-0ubuntu4) to 2.26.0-0ubuntu5
libgp11-0 (2.26.0-0ubuntu4) to 2.26.0-0ubuntu5
libkadm55 (1.6.dfsg.4~beta1-5ubuntu1) to 1.6.dfsg.4~beta1-5ubuntu2
libkrb5-dev (1.6.dfsg.4~beta1-5ubuntu1) to 1.6.dfsg.4~beta1-5ubuntu2
libkrb53 (1.6.dfsg.4~beta1-5ubuntu1) to 1.6.dfsg.4~beta1-5ubuntu2
libnm-glib0 (0.7.1~rc4-0ubuntu1) to 0.7.1~rc4.1.cf199a964-0ubuntu1
libnm-util1 (0.7.1~rc4-0ubuntu1) to 0.7.1~rc4.1.cf199a964-0ubuntu1
libpam-gnome-keyring (2.26.0-0ubuntu4) to 2.26.0-0ubuntu5
libpango1.0-0 (1.24.0-1) to 1.24.0-3
libpango1.0-common (1.24.0-1) to 1.24.0-3
libpango1.0-dev (1.24.0-1) to 1.24.0-3
libpulse-browse0 (1:0.9.14-0ubuntu16) to 1:0.9.14-0ubuntu17
libpulse-mainloop-glib0 (1:0.9.14-0ubuntu16) to 1:0.9.14-0ubuntu17
libpulse0 (1:0.9.14-0ubuntu16) to 1:0.9.14-0ubuntu17
libpulsecore9 (1:0.9.14-0ubuntu16) to 1:0.9.14-0ubuntu17
libpython2.6 (2.6.1-1ubuntu11) to 2.6.2~rc1-0ubuntu1
libtracker-gtk0 (0.6.92-1ubuntu1) to 0.6.92-1ubuntu2
libtrackerclient0 (0.6.92-1ubuntu1) to 0.6.92-1ubuntu2
linux-headers-2.6.28-11 (2.6.28-11.40) to 2.6.28-11.41
linux-headers-2.6.28-11-generic (2.6.28-11.40) to 2.6.28-11.41
linux-image-2.6.28-11-generic (2.6.28-11.40) to 2.6.28-11.41
linux-libc-dev (2.6.28-11.40) to 2.6.28-11.41
network-manager (0.7.1~rc4-0ubuntu1) to 0.7.1~rc4.1.cf199a964-0ubuntu1
pm-utils (1.2.2.4-0ubuntu3) to 1.2.2.4-0ubuntu4
pulseaudio (1:0.9.14-0ubuntu16) to 1:0.9.14-0ubuntu17
pulseau...

Read more...

coredata (coredata) wrote :

Between Mauricio's howto on alsa on ubuntu (above, earlier post on this bug) and this link:

http://ubuntuforums.org/archive/index.php/t-588285.html

My speakers now work.

HOWEVER, the mic(s? mic / front mic??) dont seem to function at all (sometimes i can get static but thats it).

thanks

cd

Shaved Wookie (shavedwookie) wrote :

Hey Coredata,

There's a couple of solutions suggested in that thread.

Did you mean that you enabled backports, or that you wen through the whole sequence over at the link in that thread (https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller). Not sure how the second option can be applied to an HP Mini as they don't seem to be on the list of models there.

* confused... ?:-( *

Jayhawk (brandoncolorado) wrote :

I tried the PPA option and it didn't work for me. I am running 9.04 on a mini 1000 and I still have no sound. I bought the laptop with the HP Mi edition, so isn't it weird that sound worked there but not in regular Ubuntu?

Arnaud Soyez (weboide) wrote :

"not in regular Ubuntu?"
Sound works fine in Intrepid. Jaunty isn't released yet, and if it still
doesn't work when released, I'm sure there will be post-release fixes
for this.

Jonathon Anderson (janders5) wrote :

What is the chance that this will be fixed for the 9.04 release? I just received notification that the RC has been released, and at least as late as last night, this still wasn't fixed on my wife's HP Mini.

This might not be the right forum for this, but it makes me sad when she says "I like the idea of running Linux on it, but I like it better when everything works." Given that (a) this worked in 8.10, and regressed for 9.04, and (b) 9.04 is explicitly a release that is supposed to focus on improving netbook compatibility, I am disappointed that something as simple as sound from the speaker is broken out-of-the-box. It would be more understandable if this were some esoteric sound card, but there are only a handful of netbook architectures, and the HP mini is exactly the platform that this release is supposed to target.

llimaa (llimaa) wrote :

I'm becoming tired of Linux at all after using it for a long time. I never got a Distro working out of the box without any probs. Linux+software has to be developed with a single leadership else such problems this will never get fixed. Looks like everybody code how they want without caring about of breaking other stuff.

I really like the idea of open-source and the how it connects people but I have no more patience to tweak around and waste hours trying to get something like sound to work. Just have approx 80 of life and dont want to spend 10y of it fixing software problems.

Linux is powerful but this distributed development is a nightmare.
No Leadership, lot of discussions and often complicated or no solutions.

And the worst thing is, you have to update your whole system just to have a newer version of a fav. application. Sure there is PPA and backports and still can compile it but this is dangerous or tweaky.
Even OpenSource applications works better and installs easier on closed source operating systems.

That's really sad. :/ And please don't come with "its a Beta/RC and ... not final" I think we all know that this issue will not be fixed for final release.

And Im starting to think, that "Mark S." is wasting his money.

Mark Baas (mark-baas123) wrote :

llimaa,
- this is not a complaint forum, this is a bug report.
- who cares what you think of open source and how Mark S. has spend his money.
- Jaunty is in beta, no complain about beta go back the stable intrepid or hardy.

xapt,
the reason the configure failed is you dont have curses headers installed

Jayhawk,
1. Jaunty is unstable, in intrepid there was no problem
2. Mi is pŕobably no based on a beta release as is jaunty, it is probably based on hardy or intrepid. Jaunty is latest and has all the new "cool" stuff. If you wanne stick with something well tested get Mi or hardy.

Shaved wookie,
The wireless doesn't work anymore, because you didnot use i ubuntu kernel which has additional like special wireless drivers which are not in vanilla. I think if you download the alsa which is in that kernel (1.0.19?) and do what xapt did, it should run fine.

I hope this helped,
please keep this a bug report and not a discussion forum

Mark

Shaved Wookie (shavedwookie) wrote :

Thanks Mark,

I have an exceptional track record of breaking more things thank I fix when compiling. Does anyone know of a compile-free way to get the correct Kernel and ALSA (PPA? Deb's? Repo?)

Mark Baas (mark-baas123) wrote :

SW,

I recommend you to stick with the ubuntu kernel. A PPA is always missing packages like backport-modules, ubuntu-modules etc. So you might get problems with update processes. Either stick with one kernel or everytime recompile/install (how i do it). What is the problem with compiling? To decrease compiling time you can compile for specific cards only, i always compile for usb and hda-intel only like this:

./configure --with-cards=hda-intel,usb-audio
make
make install

only do that, no external packages etc. Compiling is the cleanest way to install kernel modules. Your wireless probable didnt work of other kernel. And Im telling you Ubuntu is not gonne fix this until next release in half a year.

sedd (sedillard) wrote :

Got speakers / sound out working with HP Mini 1030NR (9.04 UNR) by installing alsa 1.0.19, following instructions of Maruico and xapt above. This was a pretty clean install so some things were missing. I had to apt-get install the "patch" and "ncurses-dev" packages. Also, rather than install the 30megs or so of docbook stuff for alsa manpages I did "./configure --disable-nls" for the alsa-utils build. After that, "sudo alsaconf" then reboot and sound out worked.

Sound in _kind of_ works. In alsamixer I have "Input Source" set to "Front Mic", "Capture" up to full, "Digital" to 0db (half way) and "Mux" to full. I can hear myself using the gnome Sound Recorder app, but the signal is faint and there's lots of noise. Anyone have any ideas?

sedd (sedillard) wrote :

Ok to follow up, I've got the built-in mic working. Starting from fresh 9.04 UNR image, I followed Maurico's instructions above to build/install alsa 1.0.19, with one change. In /etc/modprobe.d/alsa-base.conf instead of

options snd-hda-intel model=dell-m4-1

I put

options snd-hda-intel model=hp-m4

Found that here:
http://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio-Models.txt
http://www.kernel.org/doc/Documentation/sound/alsa/ALSA-Configuration.txt

I also tried model=ref-no-jd and that worked too. This enabled a third option in the "Input Source" section of the mixer. In addition to "Mic" and "Front Mic" there's now "Line" which is the internal mic. Haven't tried the mic jack but everything else works.

Arnaud Soyez (weboide) wrote :

I just installed daily lpia alternate iso (as of april 20th) + ubuntu-desktop, and still no sound on the hp mini 1120NR.
I ported debian packages for alsa 1.0.19 to ubuntu on a ppa (https://launchpad.net/~minichoco-team/+archive/ppa) and installed it on the 1120NR but it doesn't fix the problem (using any 'options snd-hda-intel' above).
Still no sound.

Confirmed here on hardware

Andy Whitcroft (apw) on 2009-04-20
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Andy Whitcroft (apw)
status: Triaged → In Progress
Steve Beattie (sbeattie) on 2009-04-28
tags: added: jaunty regression-release
removed: regression-potential
Daniel T Chen (crimsun) on 2009-05-05
Changed in alsa-driver (Ubuntu):
status: New → Won't Fix
Billy V (wnvalliant) on 2009-06-25
Changed in alsa-driver (Ubuntu):
status: Won't Fix → In Progress
Arnaud Soyez (weboide) on 2009-06-25
Changed in alsa-driver (Ubuntu):
status: In Progress → Invalid
Colin King (colin-king) on 2009-08-13
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → Colin King (colin-king)
138 comments hidden view all 218 comments
Andy Whitcroft (apw) wrote :

Please note that this bug is focused specifically on the HP Mini 1000 only. The fixes here are only applicable to that model, please file a separate bug if you have issues on another HP Mini model. Thanks!

Thomas B (tbrownback) wrote :

"please file a separate bug if you have issues on another HP Mini model"

Sorry for any confusion I caused.

The discussions above ultimately reveal that the HP mini 100 uses the same sound hardware and faces the same bug. I originally made it sound like the HP 100 behaved differently, but our discussion on that eventually concluded that the difference was my fault.

I know you don't want to mislead Mini 100 users to make them think that these solutions were designed with that model in mind, but I think we've now established that the sound chips there are the same, and that the bug that model faces is the same.

Colin King (colin-king) wrote :

I'm not 100% convinced that having the same chip necessarily means going to be wired up the same, e.g. pin configurations may be subtly different and BIOS config may be different.

For this bug, I've got a fix for the HP Mini 1000 - and I'd like that verified before pursuing different models.

Thomas B (tbrownback) wrote :

I have submitted another bug for the Mini 100 here: https://bugs.launchpad.net/ubuntu/+bug/413181

I respectfully disagree that the bugs should be separate, as they feature the same hardware, same symptoms, and same workaround. That dissent noted, it is apparently in the minority, so you have your new bug.

Arnaud Soyez (weboide) wrote :

Colin, I would love to try your fixes but I use the lpia kernel, and I don't think I can try them using a i386 live cd as they will be discarded at reboot.

Jonathan T (jtidmore) wrote :

Thanks Colin.

I have HP Mini 1000 (model 1100). Did a fresh install of 9.04 UNR, installed all updates, and then installed your kernel deb.

Sound works out of the speakers without changing anything else!

Top 5 lines of /proc/asound/card0/codec#0 match.

jtidmore@mercurius:~$ head -n 5 /proc/asound/card0/codec#0
Codec: IDT 92HD75B2X5
Address: 0
Vendor Id: 0x111d7608
Subsystem Id: 0x103c361a
Revision Id: 0x100102

Thank you very much for this fix!

Michael Chen (mcs-chen) wrote :

I had this issue with an HP 1030nr, and the fix detailed in post 178 got my audio back. Thanks Colin!

For the record, my proc/asound/card0/codec#0 appears to be completely blank both before and after applying the kernel image.

Jean-Marc Saffroy (saffroy) wrote :

I tested the patched kernel from Colin (comment 178), and it solved the problem I had on a Compaq mini 700 EF running UNR (before that, I would get audio from speakers right after boot, but no longer after plugging/unplugging headphones in the audio jack, and it would come back after a suspend-to-ram/resume). FWIW the first lines of /proc/asound/card0/codec#0 match with what was expected:

Codec: IDT 92HD75B2X5
Address: 0
Vendor Id: 0x111d7608
Subsystem Id: 0x103c361a
Revision Id: 0x100102

Now I just hope the fix quickly makes it in an Ubuntu kernel update, because the Gnome package manager keeps bugging me, telling that there is a 2.6.28-14.47 available (official deb collides with Colin's).

Thanks for the great job!

Lil' Kim (kim-jong-il) wrote :

I too have had success with Colin's patched kernel (#178) on my HP Mini 1000 (1120NR).
/proc/asound/card0/codec#0 is consistent with what is expected.

Codec: IDT 92HD75B2X5
Address: 0
Vendor Id: 0x111d7608
Subsystem Id: 0x103c361a
Revision Id: 0x100102

Nice work Colin. Thank you.

Arnaud Soyez (weboide) wrote :

Lil' kim, Jean-Marc, Michael, We need to see if you hear a crackling sound a few seconds after a sound has been played (see bug 404554 i reported in karmic for the Mini 1000).
If no, Colin, could these changes be ported to Karmic?

Jean-Marc Saffroy (saffroy) wrote :

Arnaud, with Colin's test kernel (or official Jaunty kernels) I don't hear any crackling noise after playing a sound. I do hear one when rebooting though.

BTW I assume the patch Colin applied to his test kernel didn't make it in the newer 2.6.28-15.48 kernel, because it still has the same audio problem for me (Compaq Mini 700 EF).

Colin King (colin-king) wrote :

SRU Justification:

Impact: HP Mini 1000 speakers do not work, and audio only works through
the headphone jack.

Fix: Patch attached includes correct Intel HDA audio verb table and
mixer settings to enable speakers for the HP Mini 1000 (Audio chipset:
IDT 92HD75B2X5, Vendor Id 0x111d7608, Subsystem Id: 0x103c361a, Revision
Id: 0x100102).

Testcase: Without the patch, no speaker output. With the patch, speakers
work and also headphone jack plug/unplug works reliably.

This has already been tested by myself on two different HP Mini 1000
builds with BIOS revision F.10 and also by Jonathan T (see
https://bugs.launchpad.net/ubuntu/+bug/318942/comments/184 )

Colin King (colin-king) wrote :
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Stefan Bader (smb) on 2009-08-21
Changed in alsa-driver (Ubuntu Jaunty):
status: New → Invalid
Changed in linux (Ubuntu Jaunty):
assignee: nobody → Colin King (colin-king)
importance: Undecided → Medium
status: New → Fix Committed
Colin King (colin-king) on 2009-08-21
Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Stefan Bader (smb) on 2009-08-21
Changed in linux (Ubuntu Jaunty):
status: Fix Released → Fix Committed
mjurow (mjurow) wrote :

i'm a bit lost in all those new changes, has anyone put together a fix for the external mic??

llimaa (llimaa) wrote :

I'm sorry for ubuntu. It's sad to see it with so many unfixed Bugs. In my opinion ubuntu is not becoming better at all. This shows that ubuntu or linux development at all does not have a good quality control to ensure that hardware that was working before keeps working. You can't even install the newest software packages wich are being adverted all over the web.

For me ubuntu failed as a Desktop OS. People want simply their stuff working, which does with windows. Maybe Google has more luck with their OS. Have fun tweaking on this, i'm going to be productive with win7, wich works out of the box, don't need to unmute micro to enable speakers. Thats like telling somebody to close the window to let sun light comes in.

Ubuntu 9.04 = FAILED

1 comments hidden view all 218 comments
sdt1 (stevendtaylor) wrote :

Thank you soooooo much for this step-by-step instruction. I have spent the better part of two days finding this fix!!! I have an HP 1030NR with the Intel 82801G (ICH7 Family), and this fixed my sound problem! I am just wondering if there is a setting which will prevent future updates from overwriting the driver changes??

Jean-Marc Saffroy (saffroy) wrote :

@sdt1

You can set a package to be on hold. As root:

# echo <package> hold | dpkg --set-selections

This is what I did to prevent Colin's test kernel from being replaced by the regular Ubuntu kernel.
This change can be reverted with:

# echo <package> install | dpkg --set-selections

sdt1 (stevendtaylor) wrote :

@Jean-Marc Saffroy

Thank you for the commands. My original comment was actually @Mauricio (comment #63 in this thread), wherein I followed his installation instructions for patch, gettext, libncurses5-dev, xmlto, and xmltoman packages, along with all the alsa 1.0.19 drivers, lib, utils, etc. That is what solved my sound problem. Now I see that Colin later created and made available a new test kernel which solves this sound problem as well. My questions now are: what have I done so far; which would have been the better solution; and how do I keep from "breaking" it (keep the sound working as it is now, without missing out on important updates)? I'm very new to Linux and Ubuntu, so this is a learning curve for me. I have to say, however, that I am really liking Ubuntu (UNR), and it runs amazingly fast on my netbook, utilising only 3.4GB of my 16GB SSD!

Cheers.

I've recently downloaded and installed Ubuntu 9.04 Desktop (64 bit) on my HP Pavilion dv3550ee.
I'm experiencing the same problem, main speakers does not work, but headphone works.

There is something about 150 comments here, I could not follow them to resolve this known issue, how can I find a simple guided solution to my problem?

Martin Pitt (pitti) wrote :

Accepted linux into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Not sure what they did, but the Jolicloud (UNR based) distro alpha released
an update a couple of weeks ago that fixed the sound issues.
--
Chad Stephen Albert
<email address hidden>
(518)478-6788

On Mon, Aug 31, 2009 at 9:25 AM, Martin Pitt <email address hidden> wrote:

> Accepted linux into jaunty-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>
> --
> no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)
> https://bugs.launchpad.net/bugs/318942
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Netbook Remix: New
> Status in “alsa-driver” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in alsa-driver in Ubuntu Jaunty: Invalid
> Status in linux in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> On current Ubuntu 9.04 Alpha I don't get any sound from my built-in laptop
> speakers - plugging in headphones does work though. I used Kubuntu 8.10
> before - there the sound did work, also from the build-in speakers.
>
> I tried to follow the steps for debugging sound issues in the Wiki, this
> didn't work out for me.
>
> You find the output of the ALSA Information Script here:
> http://www.alsa-project.org/db/?f=4eeebe19303da090dddd48a264ffd7558049b24a
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> Package: linux-image-2.6.28-4-generic 2.6.28-4.11
> ProcCmdLine: root=UUID=3b1dfb75-0bdf-482d-9cf2-69ccef54bf53 ro quiet
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-4.11-hostnameeneric
> SourcePackage: linux
>

James Lewis (james-fsck) wrote :

Excellent stuff... I assume we will see this fix in Karmic?

Was this a particularly sticky problem to solve correctly... I'm sure it would help a lot of people to understand the process and how bugs like this in both LTS and non-LTS releases are handled.

Clearly this was in the non-LTS release, but for a bug posted before the 9.04 release it does seem to have taken an extremely long time to resolve. many people have workarounds in place for 4 or 5 months, and certainly if I did not want to test the fix, I would be waiting for Karmic rather than try to back out those workarounds, or re-install.

I'm really not trying to criticize here although it does sound like it I know... I appreciate that there's a lot of upstream projects and other teams which need to be involved in this fix, and it needs to be done properly rather than just lashed up... especially given the sound problems which have been surfacing with pulse (Not that I think pulse is bad, it's potentially great)...

I just think that this could do with a bit of a post-mortem after 5 months and 200 comments so that people can understand what the issues were.

Hi,

Thanks for your reply. I've attached the report.

I'm looking forward to hear from you soon.

Kind regards,
Mortaza Doulaty

On Mon, Aug 31, 2009 at 5:55 PM, Martin Pitt <email address hidden> wrote:

> Accepted linux into jaunty-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>
> --
> no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)
> https://bugs.launchpad.net/bugs/318942
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Netbook Remix: New
> Status in “alsa-driver” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in alsa-driver in Ubuntu Jaunty: Invalid
> Status in linux in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> On current Ubuntu 9.04 Alpha I don't get any sound from my built-in laptop
> speakers - plugging in headphones does work though. I used Kubuntu 8.10
> before - there the sound did work, also from the build-in speakers.
>
> I tried to follow the steps for debugging sound issues in the Wiki, this
> didn't work out for me.
>
> You find the output of the ALSA Information Script here:
> http://www.alsa-project.org/db/?f=4eeebe19303da090dddd48a264ffd7558049b24a
>
> ProblemType: Bug
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> Package: linux-image-2.6.28-4-generic 2.6.28-4.11
> ProcCmdLine: root=UUID=3b1dfb75-0bdf-482d-9cf2-69ccef54bf53 ro quiet
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-4.11-hostnameeneric
> SourcePackage: linux
>

WaywardGeek (waywardgeek) wrote :

I've added jaunty-proposed as Martin Pitt requested, and apt-get upgrade on my HP Mini 1000. Speakers work! Front Mic does not :-(

I have not put much effort into tracking down the mic issue, and my system is far from a fresh install. After reboot, speaker is mute by default, until I manually enable it in volume control.

WaywardGeek (waywardgeek) wrote :

After setting inputs to line and line, the front mic works, but very poorly. The noise is terrible. Also, after each reboot, I have to fix the volume control settings all over again.

Steve Beattie (sbeattie) on 2009-09-09
tags: added: verification-done
Steve Beattie (sbeattie) on 2009-09-09
tags: removed: verification-needed
bbryan (bruce-bryan) wrote :

Tried both work arounds on my 1030nr. One worked for a day, but then stopped. I tried the patch in post 178 but it said I didn't have permission to make some of the changes. This is my first time trying to use linux so I'm a newbie but would really like to like it. Will this fix ever be available through a simple upgrade? If not, any idea why I wouldn't have permission to change things on my system when I am logged in as the only user. Thanks in advance.

JBC (jbcatte) wrote :

@bbryan: probably the first work-around stopped to work because you made an update of ubuntu including a kernel update: you have to rerun the fix each time the kernel is updated.
the post 178 patch is a new kernel including the fix, IO have no idea why you cannot install it. Are you able to make updates and install new applications?

Josias (josiasnyc) on 2009-09-22
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2009-09-22
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
kevpen (kevpen) wrote :

does this mean this bug is fixed and a simple update will make it gone?

On Tue, Sep 22, 2009 at 3:13 PM, Steve Langasek
<email address hidden> wrote:
> ** Changed in: linux (Ubuntu)
>       Status: Fix Committed => Fix Released
>
> --
> no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)
> https://bugs.launchpad.net/bugs/318942
> You received this bug notification because you are a direct subscriber
> of the bug.
>

kevpen,

On Tue, Sep 22, 2009 at 10:27:27PM -0000, kevpen wrote:
> does this mean this bug is fixed and a simple update will make it gone?

It means I'm restoring the bug state to what it was before Josias changed
it, apparently accidentally.

Currently, the 'fix released' only applies to the version of the kernel in
the development release (karmic).

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

thanks, Steve.

On Tue, Sep 22, 2009 at 4:39 PM, Steve Langasek
<email address hidden> wrote:
> kevpen,
>
> On Tue, Sep 22, 2009 at 10:27:27PM -0000, kevpen wrote:
>> does this mean this bug is fixed and a simple update will make it gone?
>
> It means I'm restoring the bug state to what it was before Josias changed
> it, apparently accidentally.
>
> Currently, the 'fix released' only applies to the version of the kernel in
> the development release (karmic).
>
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> Ubuntu Developer                                    http://www.debian.org/
> <email address hidden>                                     <email address hidden>
>
> --
> no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)
> https://bugs.launchpad.net/bugs/318942
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Arnaud Soyez (weboide) wrote :

Note that this bug is non-existent in Karmic (The sound was already working because there is alsa version >= 0.19 which works with 92HD75B2X5), but this fix might contain some improvements anyway.

kevpen (kevpen) wrote :

i see, thanks

On Tue, Sep 22, 2009 at 5:44 PM, Arnaud Soyez <email address hidden> wrote:
> Note that this bug is non-existent in Karmic (The sound was already
> working because there is alsa version >= 0.19 which works with
> 92HD75B2X5), but this fix might contain some improvements anyway.
>
> --
> no sound from speakers on HP Mini 1000 (hda-intel, IDT 92HD75B2X5)
> https://bugs.launchpad.net/bugs/318942
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-15.52

---------------
linux (2.6.28-15.52) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: ACPI: Populate DIDL before registering ACPI video device
    on Intel"
    - LP: #423296
  * SAUCE: Allow less restrictive acpi video detection
    - LP: #333386

  [ Upstream Kernel Changes ]

  * include drivers/pci/hotplug/* in -virtual package
    - LP: #364916
  * ext4: don't call jbd2_journal_force_commit_nested without journal
    - LP: #418197
  * ext4: fix ext4_free_inode() vs. ext4_claim_inode() race
    - LP: #418197
  * ext4: fix bogus BUG_ONs in in mballoc code
    - LP: #418197
  * ext4: fix typo which causes a memory leak on error path
    - LP: #418197
  * ext4: Fix softlockup caused by illegal i_file_acl value in on-disk
    inode
    - LP: #418197
  * ext4: Fix sub-block zeroing for writes into preallocated extents
    - LP: #418197
  * jbd2: Call journal commit callback without holding j_list_lock
    - LP: #418197
  * ext4: Print the find_group_flex() warning only once
    - LP: #367065
  * ext4: really print the find_group_flex fallback warning only once
    - LP: #367065

linux (2.6.28-15.51) jaunty-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: wireless: hostap, fix oops due to early probing interrupt
    - LP: #254837

  [ Leann Ogasawara ]

  * Add the atl1c driver to support Atheros AR8132
    - LP: #415358
  * Updating configs to enable the atl1c driver
    - LP: #415358

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143
  * SAUCE: Fix the exported name for e1000e-next
    - LP: #402890
  * SAUCE: Fix incorrect stable backport to bas_gigaset
    - LP: #417732
  * SAUCE: Remove the atl2 driver from the ubuntu subdirectory
    - LP: #419438

linux (2.6.28-15.50) jaunty-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: radio-maestro: fix panics on probe failure
    - LP: #357724
  * SAUCE: HDA Intel, sigmatel: Enable speakers on HP Mini 1000
    - LP: #318942

  [ Jerone Young ]

  * SAUCE: Fix Soltech TA12 volume hotkeys not sending key release in
    Jaunty
    - LP: #397499

  [ John Johansen ]

  * SAUCE: remove AppArmor debug check for calls from interrupt context
    - LP: #350789

  [ Manoj Iyer ]

  * SAUCE: Fix kernel panic when SELinux is enabled.
    - LP: #395219

  [ Matthew Garrett ]

  * SAUCE: ACPI: Populate DIDL before registering ACPI video device on
    Intel

  [ Michael Frey (Senior Manager, MID ]

  * SAUCE: Fix for internal microphone for Dell Mini10V
    - LP: #394793

  [ Tim Gardner ]

  * SAUCE: Added e1000e from sourceforge.
    - LP: #402890

  [ Upstream Kernel Changes ]

  * Input: synaptics - report multi-taps only if supported by the device
    - LP: #399787
  * ftdi_sio: fix kref leak
    - LP: #396930, #376128
  * IPv6: add "disable" module parameter support to ipv6.ko
    - LP: #351656

 -- Stefan Bader <email address hidden> Thu, 27 Aug 2009 15:09:06 +0200

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
davidpom (davidpom) wrote :

complete newbie here...
but i just wanted to add to the discussion in saying that,

I'm running 9.04 on an hp MINI 210
soundcard IDT 92HD81B1X5

and headphone sound is now working thanks to mauricio's fix
(https://bugs.launchpad.net/ubuntu/+source/linux/+bug/318942/comments/11),
and nurvzy's comment
(https://bugs.launchpad.net/ubuntu/+source/linux/+bug/318942/comments/175)
concerning unchecking mute buttons in the volume control panel.

However......... and here's the kicker, I still don't have speaker sound. any suggestions?
for further reference, my ALSA profile:
http://www.alsa-project.org/db/?f=2fd9dbd37e3be67215a905d093f9e90906b349d5

thanks for any and all suggestions!
(this has so far been really positive for me, debugging the sound enough to get headphone sound thanks to this thread -- what a breakthrough after a few days of toiling with fixes!)

Ken Pratt (kenpratt) wrote :

I just updated my HP Mini 110 to the latest Jaunty (Remix) packages and still only have sound via headphones. I've not yet read through all the comments on this ticket but did notice it says fix released. Was the fix supposed to fix the internal speaker problem?

I got the same problem on my Toshiba NB205.
I'm running UNR 9.10 with Kernel Linux 2.6.31-20-generic.

Sound works via headphones but not via the internal speakers.

:(

Ulil (ulil-albab) wrote :

Still error.....

W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0B47F0A6B88A1AA8
W: You may want to run apt-get update to correct these problems

Please help me..! Problem happened on My friend's HP Mini. I recommended Ubuntu to them. But, if this problem didn't resolved, i don't know what he want to use Ubuntu again or no. Please help me..!

Ahmad Ulil Albab:
Malang, Indonesia

Leo (leorolla) on 2010-06-01
Changed in netbook-remix:
status: New → Invalid
Changed in linux (Ubuntu):
status: Fix Released → New
status: New → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → New
status: New → Fix Released
Displaying first 40 and last 40 comments. View all 218 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers